VULKAN_HPP_NAMESPACE::PresentRegionsKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PresentRegionsKHR:
[legend]

## Public Member Functions

| PresentRegionsKHR (uint32_t swapchainCount_=0, const PresentRegionKHR *pRegions_=nullptr)
| PresentRegionsKHR (VkPresentRegionsKHR const &rhs)
PresentRegionsKHR & | operator= (VkPresentRegionsKHR const &rhs)
PresentRegionsKHR & | setPNext (const void *pNext_)
PresentRegionsKHR & | setSwapchainCount (uint32_t swapchainCount_)
PresentRegionsKHR & | setPRegions (const PresentRegionKHR *pRegions_)
| operator VkPresentRegionsKHR const & () const
| operator VkPresentRegionsKHR & ()
bool | operator== (PresentRegionsKHR const &rhs) const
bool | operator!= (PresentRegionsKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | swapchainCount
const PresentRegionKHR * | pRegions

## Private Attributes

StructureType | sType = StructureType::ePresentRegionsKHR

## Detailed Description

Definition at line 13250 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PresentRegionsKHR() [1/2]

VULKAN_HPP_NAMESPACE::PresentRegionsKHR::PresentRegionsKHR | ( | uint32_t | swapchainCount_ = `0`,
|  | const PresentRegionKHR * | pRegions_ = `nullptr`
| ) |  |

inline

Definition at line 13252 of file vulkan.hpp.

: swapchainCount( swapchainCount_ )
, pRegions( pRegions_ )
{
}

## PresentRegionsKHR() [2/2]

VULKAN_HPP_NAMESPACE::PresentRegionsKHR::PresentRegionsKHR | ( | VkPresentRegionsKHR const & | rhs | ) |

inline

Definition at line 13259 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentRegionsKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkPresentRegionsKHR &()

VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator VkPresentRegionsKHR & | ( |  | ) |

inline

Definition at line 13292 of file vulkan.hpp.

{
return *reinterpret_cast<VkPresentRegionsKHR*>(this);
}

## operator VkPresentRegionsKHR const &()

VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator VkPresentRegionsKHR const & | ( |  | ) | const

inline

Definition at line 13287 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPresentRegionsKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator!= | ( | PresentRegionsKHR const & | rhs | ) | const

inline

Definition at line 13305 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PresentRegionsKHR& VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator= | ( | VkPresentRegionsKHR const & | rhs | ) |

inline

Definition at line 13264 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentRegionsKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator== | ( | PresentRegionsKHR const & | rhs | ) | const

inline

Definition at line 13297 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( swapchainCount == rhs.swapchainCount )
&& ( pRegions == rhs.pRegions );
}

References pNext, pRegions, sType, and swapchainCount.

Referenced by operator!=().

## setPNext()

PresentRegionsKHR& VULKAN_HPP_NAMESPACE::PresentRegionsKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 13269 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPRegions()

PresentRegionsKHR& VULKAN_HPP_NAMESPACE::PresentRegionsKHR::setPRegions | ( | const PresentRegionKHR * | pRegions_ | ) |

inline

Definition at line 13281 of file vulkan.hpp.

{
pRegions = pRegions_;
return *this;
}

References pRegions.

## setSwapchainCount()

PresentRegionsKHR& VULKAN_HPP_NAMESPACE::PresentRegionsKHR::setSwapchainCount | ( | uint32_t | swapchainCount_ | ) |

inline

Definition at line 13275 of file vulkan.hpp.

{
swapchainCount = swapchainCount_;
return *this;
}

References swapchainCount.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PresentRegionsKHR::pNext = nullptr

Definition at line 13314 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pRegions

const PresentRegionKHR* VULKAN_HPP_NAMESPACE::PresentRegionsKHR::pRegions

Definition at line 13316 of file vulkan.hpp.

Referenced by operator==(), and setPRegions().

## sType

StructureType VULKAN_HPP_NAMESPACE::PresentRegionsKHR::sType = StructureType::ePresentRegionsKHR

private

Definition at line 13311 of file vulkan.hpp.

Referenced by operator==().

## swapchainCount

uint32_t VULKAN_HPP_NAMESPACE::PresentRegionsKHR::swapchainCount

Definition at line 13315 of file vulkan.hpp.

Referenced by operator==(), and setSwapchainCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PresentRegionsKHR::pNext
const void * pNext
Definition: vulkan.hpp:13314
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PresentRegionsKHR::PresentRegionsKHR
PresentRegionsKHR(uint32_t swapchainCount_=0, const PresentRegionKHR *pRegions_=nullptr)
Definition: vulkan.hpp:13252
VULKAN_HPP_NAMESPACE::PresentRegionsKHR::sType
StructureType sType
Definition: vulkan.hpp:13311
VkPresentRegionsKHR
Definition: vulkan_core.h:5496
VULKAN_HPP_NAMESPACE::PresentRegionsKHR::operator==
bool operator==(PresentRegionsKHR const &rhs) const
Definition: vulkan.hpp:13297
VULKAN_HPP_NAMESPACE::PresentRegionsKHR::swapchainCount
uint32_t swapchainCount
Definition: vulkan.hpp:13315
VULKAN_HPP_NAMESPACE::PresentRegionsKHR::pRegions
const PresentRegionKHR * pRegions
Definition: vulkan.hpp:13316